<?xml version="1.0" encoding="UTF-8"?>
<component id="user_menulayer_options_gdfl">
    <type>GRID_DETAIL_FORM_LABEL</type>
    <title>User's Menu Options</title>
    <rows>220</rows>
    <width>1000</width>
    <height>700</height>
    <pbin>gdp.exe</pbin>
    <base_path>..</base_path>
    <clase>
        
        <table>sdd_user_menulayer_options</table>
        <id_field>i8_user_id,i4_layer_id</id_field>
        <autoincrement>NO</autoincrement>
        <temp_id_field>v32_temp_id</temp_id_field>
        <select_fields>i8_user_id,i4_layer_id,i2_link_type_id,i4_left,i4_top,i4_width,i4_height,v4_toolbar,v4_scrollbar,v4_menubar,v4_resizable,v4_location,v4_status,i8_label_id,i4_option_id,v128_url,i4_layer2open_id,i2_index,txt_comment,ts_in,ts_update</select_fields>
        <insert_fields>i8_user_id,i4_layer_id,i2_link_type_id,i4_left,i4_top,i4_width,i4_height,v4_toolbar,v4_scrollbar,v4_menubar,v4_resizable,v4_location,v4_status,i8_label_id,i4_option_id,v128_url,i4_layer2open_id,i2_index,txt_comment,ts_in</insert_fields>
        <update_fields>i8_user_id,i4_layer_id,i2_link_type_id,i4_left,i4_top,i4_width,i4_height,v4_toolbar,v4_scrollbar,v4_menubar,v4_resizable,v4_location,v4_status,i8_label_id,i4_option_id,v128_url,i4_layer2open_id,i2_index,txt_comment</update_fields>
        <delete_fields>i8_user_id,i4_layer_id,i2_link_type_id,i8_label_id,i2_index</delete_fields>     
        <needed_fields>i8_user_id,i4_layer_id,i2_link_type_id,i8_label_id,i2_index</needed_fields>
        <order_by>18</order_by>
        <direction>asc</direction>
        <limit>25</limit>
        <offset>0</offset> 
        <select_labels id="i8_label_id">
            
            <table>sdm_labels</table>
            <id_field>i8_label_id</id_field>
            <fields>v128_{lan}</fields>
            <document_fields>v128_{lan}</document_fields>
        </select_labels>
        <select_labels id="i4_option_id">
            
            <table>sdm_options</table>
            <id_field>i4_option_id</id_field>
            <fields>v64_option</fields>
            <document_fields>v64_option</document_fields>
        </select_labels>        
        <select_labels id="null"></select_labels>        
        <associations>NO</associations>
    </clase>
    <elements>i2_link_type_id</elements>
    <element id="i2_link_type_id">
        <properties>
            <type>combo</type>
            <data>text</data>
            <header>Link Type</header>
            <width>10</width>
        </properties>
        <events>
            <onChange>LinkOn(this.value)</onChange>
        </events>
        <clase>
            
            <table>sdm_link_types</table>
            <keys>i2_link_type_id</keys>      
            <fields>v64_link_type</fields>
        </clase>
    </element>
    <element id ="null"></element>
    <grid>
        <columns>v128_{lan},i2_index,i2_link_type_id,i4_left,i4_top,i4_height,i4_width</columns>
        <column id="v128_{lan}">
            <properties>
                <type>text</type>
                <data>text</data>                
                <header>Label</header>
                <width>48</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="i2_index">
            <properties>
                <type>text</type>
                <data>text</data>                
                <header>INDEX</header>
                <width>8</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>        
        <column id="i2_link_type_id">
            <properties>
                <type>text</type>
                <data>text</data>                
                <header>TYPE</header>
                <width>8</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>        
        <column id="i4_left">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>LEFT</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>>
        <column id="i4_top">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>TOP</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>>
        <column id="i4_height">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>HEIGHT</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>           
        </column>>
        <column id="i4_width">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>WIDTH</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>>
        <column id="counter">
            <properties>
                <type>link</type>
                <data>text</data>
                <header>No.</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>>
        <counter>ON</counter>
        <delete>ON</delete>
        <tdheader_style>text-align:center</tdheader_style>
        <tdbody_style>text-align:left;vertical-align:center</tdbody_style>
    </grid>
</component>